Package com.trilead.ssh2.signature

# Class DSAPrivateKey

java.lang.Object
com.trilead.ssh2.signature.DSAPrivateKey

public class DSAPrivateKey extends Object
DSAPrivateKey.

## Constructor Summary

Constructors
Constructor
Description
`DSAPrivateKey(BigInteger p, BigInteger q, BigInteger g, BigInteger y, BigInteger x)`

## Method Summary

Modifier and Type
Method
Description
`BigInteger`
`getG()`
`BigInteger`
`getP()`
`DSAPublicKey`
`getPublicKey()`
`BigInteger`
`getQ()`
`BigInteger`
`getX()`
`BigInteger`
`getY()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DSAPrivateKey

public DSAPrivateKey(BigInteger p, BigInteger q, BigInteger g, BigInteger y, BigInteger x)

## Method Details

### getP

public BigInteger getP()

### getQ

public BigInteger getQ()

### getG

public BigInteger getG()

### getY

public BigInteger getY()

### getX

public BigInteger getX()

### getPublicKey

public DSAPublicKey getPublicKey()